Skip to main content
GET
Get deposit address status

Authorizations

Authorization
string
header
required

JWT token for authentication

Path Parameters

depositAddress
required

The Rhino.fi Smart Deposit Address that the deposit has been sent to, e.g. "0x123...ABC".

depositChain
string
required

The blockchain where the deposit was sent to, e.g. "ETHEREUM".

Response

DepositAddressStatusResponse

depositChain
string
required

The blockchain that the Smart Deposit Address is on and that deposits should be sent to, e.g. "ETHEREUM".

Minimum string length: 1
depositAddress
string
required

The Rhino.fi Smart Deposit Address that the deposit has been sent to.

Minimum string length: 1
destinationChain
string
required

The blockchain that the received tokens will be bridged to.

Minimum string length: 1
supportedTokens
object[]
required

The assets that can be deposited to the depositAddress for this depositChain.

isActive
boolean
required

Whether the Smart Deposit Address is being actively monitored for incoming deposits of supportedTokens (true), in which case it will take the necessary bridge / bridge and swap actions, or is not currently being monitored or actioned by Rhino.fi (false). All Smart Deposit Addresses are set to isActive = true when generated and will be monitored and actioned for 10 years, however Smart Deposit Addresses can be disabled via request.

isPaused
boolean
required

Whether this deposit address is currently paused. Paused addresses reject incoming deposits until they are unpaused.

destinationAddress
string

The blockchain address that the received tokens will be bridged / bridged and swapped to.

Minimum string length: 1
addressNote
string

A note or label for the deposit address as a reference.

Maximum string length: 80
postBridgeData
object

Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.

tokenOut
string

The token that will be received on the destinationChain.

refundAddress
string

The address that any funds would be returned to in the case that a transaction to this Smart Deposit Address is unsuccessful.

Minimum string length: 1
bridgeIfNotSwappable
boolean

If true, deposited tokens that cannot be swapped to the tokenOut will be bridged instead of causing a failed transaction. If false, any deposited tokens that cannot be swapped to the tokenOut will cause the transaction to fail. Must be used in conjunction with the tokenOut parameter.

chainMetadata
object

Optional chain-specific metadata. Currently only populated for Stellar SDAs, where it exposes the base address and memo id that the muxed deposit address resolves to.